Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Functions | Variables
TranslatableBase.php File Reference

Go to the source code of this file.

## Functions
| eZ\Publish\Core\Base::setMessageTemplate ($messageTemplate)
| eZ\Publish\Core\Base::getMessageTemplate ()
| eZ\Publish\Core\Base::setParameters (array $parameters)
| eZ\Publish\Core\Base::addParameter ($name, $value)
| eZ\Publish\Core\Base::addParameters (array $parameters)
| eZ\Publish\Core\Base::getParameters ()
| eZ\Publish\Core\Base::getBaseTranslation ()

## Variables
trait | eZ\Publish\Core\Base::TranslatableBase
| Trait providing a default implementation of Translatable. More...
| eZ\Publish\Core\Base::$parameters = []

## Function Documentation

## ◆ addParameter()

eZ\Publish\Core\Base\addParameter | ( |  | $name,
|  |  | $value
| ) |  |

Definition at line 33 of file TranslatableBase.php.

References eZ\Publish\Core\Base\addParameter().

Referenced by eZ\Publish\Core\Base\addParameter().

## ◆ addParameters()

eZ\Publish\Core\Base\addParameters | ( | array | $parameters | ) |

Definition at line 38 of file TranslatableBase.php.

References eZ\Publish\Core\Base\$parameters, and eZ\Publish\Core\Base\addParameters().

Referenced by eZ\Publish\Core\Base\addParameters().

## ◆ getBaseTranslation()

eZ\Publish\Core\Base\getBaseTranslation | ( |  | ) |

Definition at line 48 of file TranslatableBase.php.

References eZ\Publish\Core\Base\getBaseTranslation().

Referenced by eZ\Publish\Core\Base\getBaseTranslation().

## ◆ getMessageTemplate()

eZ\Publish\Core\Base\getMessageTemplate | ( |  | ) |

Definition at line 23 of file TranslatableBase.php.

References eZ\Publish\Core\Base\getMessageTemplate().

Referenced by eZ\Publish\Core\Base\getMessageTemplate().

## ◆ getParameters()

eZ\Publish\Core\Base\getParameters | ( |  | ) |

Definition at line 43 of file TranslatableBase.php.

References eZ\Publish\Core\Base\getParameters().

Referenced by eZ\Publish\Core\Base\getParameters().

## ◆ setMessageTemplate()

eZ\Publish\Core\Base\setMessageTemplate | ( |  | $messageTemplate | ) |

Definition at line 18 of file TranslatableBase.php.

References eZ\Publish\Core\Base\setMessageTemplate().

Referenced by eZ\Publish\Core\Base\setMessageTemplate().

## ◆ setParameters()

eZ\Publish\Core\Base\setParameters | ( | array | $parameters | ) |

Definition at line 28 of file TranslatableBase.php.

References eZ\Publish\Core\Base\$parameters, and eZ\Publish\Core\Base\setParameters().

Referenced by eZ\Publish\Core\Base\setParameters().

## Variable Documentation

## ◆ $parameters

eZ::Publish::Core::Base\$parameters = []
| private

Definition at line 16 of file TranslatableBase.php.

Referenced by eZ\Publish\Core\Base\Exceptions\InvalidArgumentType\__construct(), eZ\Publish\Core\Base\Exceptions\InvalidArgumentValue\__construct(), eZ\Publish\Core\Base\Exceptions\ContentTypeValidationException\__construct(), eZ\Publish\Core\Base\Exceptions\ContentValidationException\__construct(), eZ\Publish\Core\Base\Exceptions\ForbiddenException\__construct(), eZ\Publish\Core\Base\addParameters(), and eZ\Publish\Core\Base\setParameters().

## ◆ TranslatableBase

trait eZ::Publish::Core::Base\TranslatableBase

Initial value:
{
private $messageTemplate

Trait providing a default implementation of Translatable.

Definition at line 12 of file TranslatableBase.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.